Create Theme
POST
/v1/themes
const url = 'https://api.cloud.agentums.ru/v1/themes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"icon":"","is_hidden":false,"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloud.agentums.ru/v1/themes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "icon": "", "is_hidden": false, "name": "example" }'Создать тему — верхний ярус организации: тема содержит папки, папки содержат файлы.
Authorizations
Заголовок раздела «Authorizations»Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Media typeapplication/json
ThemeCreate
object
icon
Icon
string
is_hidden
Is Hidden
boolean
name
required
Name
string
Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
ThemeOut
object
created_at
required
Created At
string format: date-time
folder_count
Folder Count
integer
icon
Icon
string
id
required
Id
string format: uuid
is_hidden
Is Hidden
boolean
name
required
Name
string
Example
{ "folder_count": 0, "icon": "", "is_hidden": false}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}